#pragma once
#include "StrArray.h"
#include "lock.h"

class COlivia;

/*!
 * Clase extendida para manejo de la cola de mensajes del log
 * 
 */
class Cstr_arrayEx : public StrArray
{
	Clock lock_cola;//lock de la cola
public:
	bool dame(StrArray& stout);
	void pon(char* str);
};
/*!
 * Clase extendida para manejo del log
 * 
 */
class Colv_task : public C_escucha_log
{
public:
	char	ip[64];
	int		port;
	bool isConnected;
	COlivia *olv;
	Cstr_arrayEx colaLog;//! Cola de mensajes del log
	
	Colv_task(void);
	~Colv_task(void);

	virtual void log_ext(__time64_t tiemp, char *modulo, char *fmt);
};
extern Colv_task OlvApp;